Loading...
Searching...
No Matches
Opm::DomainWellModelAsLinearOperator< WellModel, X, Y > Class Template Reference
Inheritance diagram for Opm::DomainWellModelAsLinearOperator< WellModel, X, Y >:

## Public Types

using | WBase = WellModelAsLinearOperator<WellModel, X, Y>
using | field_type = typename WBase::field_type
using | PressureMatrix = typename WBase::PressureMatrix
Public Types inherited from Opm::WellModelAsLinearOperator< WellModel, X, Y >
using | Base = LinearOperatorExtra<X, Y>
using | field_type = typename Base::field_type
using | PressureMatrix = typename Base::PressureMatrix
Public Types inherited from Opm::LinearOperatorExtra< X, Y >
using | field_type = typename X::field_type
using | PressureMatrix = Dune::BCRSMatrix<MatrixBlock<field_type, 1, 1>>

## Public Member Functions

void | setDomainIndex (int index)
void | apply (const X &x, Y &y) const override
void | addWellPressureEquations (PressureMatrix &jacobian, const X &weights, const bool use_well_weights) const override
Public Member Functions inherited from Opm::WellModelAsLinearOperator< WellModel, X, Y >
| WellModelAsLinearOperator (const WellModel &wm)
void | apply (const X &x, Y &y) const override
| apply operator to x: The input vector is consistent and the output must also be consistent on the interior+border partition.
void | applyscaleadd (field_type alpha, const X &x, Y &y) const override
| apply operator to x, scale and add:
Dune::SolverCategory::Category | category () const override
| Category for operator.
void | addWellPressureEquations (PressureMatrix &jacobian, const X &weights, const bool use_well_weights) const override
void | addWellPressureEquationsStruct (PressureMatrix &jacobian) const override
int | getNumberOfExtraEquations () const override

## Additional Inherited Members

Protected Member Functions inherited from Opm::WellModelAsLinearOperator< WellModel, X, Y >
template<class WellType, class ArrayType>
void | applySingleWell (const X &x, Y &y, const WellType &well, const ArrayType &cells) const
Protected Attributes inherited from Opm::WellModelAsLinearOperator< WellModel, X, Y >
const WellModel & | wellMod_
X | x_local_ {}
Y | Ax_local_ {}
Y | scaleAddRes_ {}

## Member Function Documentation

## addWellPressureEquations()

template<class WellModel, class X, class Y>

void Opm::DomainWellModelAsLinearOperator< WellModel, X, Y >::addWellPressureEquations | ( | PressureMatrix & | jacobian,
|  | const X & | weights,
|  | const bool | use_well_weights ) const

inline override virtual

Implements Opm::LinearOperatorExtra< X, Y >.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/WellOperators.hpp